@echo off
cls
echo.
echo H2H-Xmas UV Max Demoset
echo.
echo by Graham "Grazza" Burgess
echo.
pause
echo.
echo Map01: Terminal
echo by Geezus (Eric Spry)
echo.
echo Time: 1:00. A normal sort of map01 from a gameplay viewpoint: small enemies and small weapons. Two imps need two shotgun shots and I waste one rocket, but overall I'm quite happy with this demo.
pause
eternity -file h2h-xmas.wad -playdemo XM01-100.lmp
echo.
echo.
echo Map02: Security
echo by Geezus (Eric Spry)
echo.
echo Time: 4:41. A surprisingly tough map so early on - there's a bloodcurdling moment when the archie and a pack of revenants are released.
pause
eternity -file h2h-xmas.wad -playdemo XM02-441.lmp
echo.
echo.
echo Map03: Hanger
echo by Geezus (Eric Spry)
echo.
echo Time: 2:40. I like this map - it has an unusual feel to it.
pause
eternity -file h2h-xmas.wad -playdemo XM03-240.lmp
echo.
echo.
echo Map04: The Sewers
echo by Geezus (Eric Spry)
echo.
echo Time: 1:36. Short and sweet. The plasma gun grab isn't strictly necessary though. :)
pause
eternity -file h2h-xmas.wad -playdemo XM04-136.lmp
echo.
echo.
echo Map05: More Sewers
echo by Geezus (Eric Spry)
echo.
echo Time: 3:45. A messy one, where once more we face hordes of bad guys.
pause
eternity -file h2h-xmas.wad -playdemo XM05-345.lmp
echo.
echo.
echo Map06: Water Works
echo by Pavel Hodek
echo.
echo Time: 3:20. Fairly straightforward, as long as you don't forget a secret area.
pause
eternity -file h2h-xmas.wad -playdemo XM06-320.lmp
echo.
echo.
echo Map07: Valve House
echo by Pavel Hodek
echo.
echo Time: 8:39. A more complex map. Towards the end I make quite a serious mistake, and leave myself with no ammo and in a right spot. Still, I think it makes the demo more entertaining, even if it does lose some time.
pause
eternity -file h2h-xmas.wad -playdemo XM07-839.lmp
echo.
echo.
echo Map08: Outskirts
echo by Pavel Hodek
echo.
echo Time: 2:16. I'm quite happy with this. It's easy for monsters to go astray, and the archies normally prove more troublesome.
pause
eternity -file h2h-xmas.wad -playdemo XM08-216.lmp
echo.
echo.
echo Map09: The High Rise
echo by Pavel Hodek
echo.
echo Time: 5:57. An interesting map. Quite a mix of themes and ideas, but I like it.
pause
eternity -file h2h-xmas.wad -playdemo XM09-557.lmp
echo.
echo.
echo Map10: City Hall
echo by Pavel Hodek
echo.
echo Time: 7:14. Another nice map, though I'm not too proud of this demo. :(
pause
eternity -file h2h-xmas.wad -playdemo XM10-714.lmp
echo.
echo.
echo Map11: Main Mall
echo by Pavel Hodek
echo.
echo Time: 2:10. A well-balanced and violent map; I am almost out of ammo at the end.
pause
eternity -file h2h-xmas.wad -playdemo XM11-210.lmp
echo.
echo.
echo Map12: The Court Yard
echo by H2HMud Wad Team: Dave Swift, EvilGenius (Jimmy Sieben), Tree (Greg Lewis), Mark Gundy and H2HMud
echo.
echo Time: 15:14. This was one of the H2H contest maps, and the craziest in terms of revenant population, and the need to use the rocket launcher on them at close quarters. The winning time in the contest was 8:03 - no way I could get even close to that without a phenomenal number of tries and masses of luck. Not to mention talent. :)
pause
eternity -file h2h-xmas.wad -playdemo XM121514.lmp
echo.
echo.
echo Map13: Town Square
echo by Dave Swift
echo.
echo Time: 2:13. Masses of health and ammo make this quite an easy run, but fun nonetheless.
pause
eternity -file h2h-xmas.wad -playdemo XM13-213.lmp
echo.
echo.
echo Map14: Mini Malls
echo by H2HMud Wad Team: Dave Swift, EvilGenius (Jimmy Sieben), Tree (Greg Lewis), Mark Gundy and H2HMud
echo.
echo Time: 16:57. Another contest map. Fewer revenants than in map12, but I found it harder to get to grips with them. The winning time in the contest was 7:52(!).
pause
eternity -file h2h-xmas.wad -playdemo XM141657.lmp
echo.
echo.
echo Map15: Urban Jungle
echo by H2HMud Wad Team: Dave Swift, EvilGenius (Jimmy Sieben), Tree (Greg Lewis), Mark Gundy and H2HMud
echo.
echo Time: 5:06. Another contest map, but the amount of megaspheres and invulnerabilities make it quite fun to run through it at speed. Winning contest time: 3:24.
pause
eternity -file h2h-xmas.wad -playdemo XM15-506.lmp
echo.
echo.
echo Map16: Santa Co
echo by Pavel Hodek
echo.
echo Time: 1:48. A cute map - note the vehicles. I miss a few shots and make an annoying error just before the exit, but the monsters behave themselves quite well here.
pause
eternity -file h2h-xmas.wad -playdemo XM16-148.lmp
echo.
echo.
echo Map17: Chopping Mall
echo by H2HMud Wad Team: Dave Swift, EvilGenius (Jimmy Sieben), Tree (Greg Lewis), Mark Gundy and H2HMud
echo.
echo Time: 6:26. The last of the contest maps, and one where it is important to know exactly what triggers what. My route in the early stages just shamelessly copies that of the contest winner (Lawrence Kirby; his time: 4:45).
pause
eternity -file h2h-xmas.wad -playdemo XM17-626.lmp
echo.
echo.
echo Map18: Stair Master
echo by Zeek (Zack Lawson)
echo.
echo Time: 1:31. An odd map, where we find ourselves in some sort of stadium. And a fight breaks out between two big bruisers. Somehow my health stayed positive.
pause
eternity -file h2h-xmas.wad -playdemo XM18-131.lmp
echo.
echo.
echo Map19: Round-a-bout
echo by Pavel Hodek
echo.
echo Time: 2:07. I'm happy with this demo. The early stages go very well (1% health for a while!), and while the mopping-up is a bit untidy, it could be much worse.
pause
eternity -file h2h-xmas.wad -playdemo XM19-207.lmp
echo.
echo.
echo Map20: Hotel Hell
echo by Zeek (Zack Lawson)
echo.
echo Time: 4:58. Sneaking up next to the cyber is actually much easier than it looks. The demo isn't too bad, but suffers from some poor map knowledge here and there.
pause
eternity -file h2h-xmas.wad -playdemo XM20-458.lmp
echo.
echo.
echo Map21: Loading Docks
echo by Faust (Scott Parish)
echo.
echo Time: 5:32. My route here relies on monster cooperation, which leads inevitably to some messiness, most notably in the crate room. Incidentally, this is the only crate-heavy map in H2H-Xmas. Note that Doom2.exe crashes when playing this demo on my computer.
pause
eternity -file h2h-xmas.wad -playdemo XM21-532.lmp
echo.
echo.
echo Map22: Elf-Town
echo by Lizard (David Reid)
echo.
echo Time: 6:21. I like this map, but for Max it is a bit annoying, as there is one imp in particular that can end up pretty much anywhere, and thus ruin a demo single-handed. I was very lucky in this run, as it got stuck on a doortrack. Note that this demo desyncs early on with Doom2.exe.
pause
eternity -file h2h-xmas.wad -playdemo XM22-621.lmp
echo.
echo.
echo Map23: Elf-Town Revisited
echo by BullyBoy (Chris Byrns)
echo.
echo Time: 3:48. An excellent map: simple, violent and intense. I have a few wobbly moments in this demo, and spend time collecting more plasma than I need, but fun anyway.
pause
eternity -file h2h-xmas.wad -playdemo XM23-348.lmp
echo.
echo.
echo Map24: Working Hard
echo by Dave Swift
echo.
echo Time: 4:00. A very interesting and challenging map. It has a nasty 99% kills bug though. :) It is possible to grab the plasma gun and rocket launcher from their pedestals, but I didn't bother since you still need to revisit those areas later to trigger the secrets.
pause
eternity -file h2h-xmas.wad -playdemo XM24-400.lmp
echo.
echo.
echo Map25: Santa's Shop
echo by Cthulu (Eric Searle)
echo.
echo Time: 2:44. An outdoor snow scene and a near rocket-suicide (the spectre was wearing armour or something). What more could you want?
pause
eternity -file h2h-xmas.wad -playdemo XM25-244.lmp
echo.
echo.
echo Map26: Elf's House
echo by ArcadeMan (Mike Wayne)
echo.
echo Time: 3:13. A tight and violent map. Some lovely red-screen near the start, but somehow (i.e. pure luck) I kept my footing.
pause
eternity -file h2h-xmas.wad -playdemo XM26-313.lmp
echo.
echo.
echo Map27: Living in Sin
echo by DoomMan (Rhett Farinholt)
echo.
echo Time: 4:27. This map would be very straightforward if it weren't for the small amount of ammo. I slightly overdo the infighting here, but it is very easy to run out of ammo with a few monsters left to kill.
pause
eternity -file h2h-xmas.wad -playdemo XM27-427.lmp
echo.
echo.
echo Map28: Main Office
echo by Dave Swift
echo.
echo Time: 4:40. Kind of a prolonged mopping-up task, where it is important not to lose your bearings too much.
pause
eternity -file h2h-xmas.wad -playdemo XM28-440.lmp
echo.
echo.
echo Map29: Main Branch
echo by Dave Swift
echo.
echo Time: 3:02. A really great blast-fest, with enough power-ups to make it fun rather than an ordeal. Shame I couldn't get it under 3 minutes, but I couldn't restrain the urge to spend a few seconds checking for missed monsters. This map is almost identical to DG-CORE.WAD in H2H-pack.zip.
pause
eternity -file h2h-xmas.wad -playdemo XM29-302.lmp
echo.
echo.
echo Map30: The North Pole
echo by SillySoft (Joe Wilcox)
echo.
echo Time: 2:25. An odd map30: the boss shooter and boss brain have no impact on gameplay, but are presumably meant to represent presents being sent out in all directions from the North Pole.
pause
eternity -file h2h-xmas.wad -playdemo XM30-225.lmp
echo.
echo.
echo Map31: The Lot
echo by Zeek (Zack Lawson)
echo.
echo Time: 4:07. This proved quite tricky for two reasons. Firstly, it wasn't easy finding a strategy to deal with the archies and barons. Secondly, there is a nasty bug in this map, where if you cross one of two very short linedefs, the map sort of disintegrates, and you can't exit.
pause
eternity -file h2h-xmas.wad -playdemo XM31-407.lmp
echo.
echo.
echo Map32: Prison
echo by Vertigo (?)
echo.
echo Time: 7:16. A messy supersecret map, with lots of hidden passages. I kept getting 99% kills before I noticed there was a Keen in a very dimly-lit area.
pause
eternity -file h2h-xmas.wad -playdemo XM32-716.lmp
echo.
echo.
echo  Thanks for watching! Merry H2H-Xmas!
echo.
pause
